summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoshua Nichols <nichoj@gentoo.org>2006-08-05 17:44:09 +0000
committerJoshua Nichols <nichoj@gentoo.org>2006-08-05 17:44:09 +0000
commitad3700d2b93cc0492ca3abf051e4093e043cd33e (patch)
treee589ae6376d68150b66ea676ea6de802319ae9bc /eclass/java-utils-2.eclass
parentAdd proper debugging support thanks to Santiago M. Mola Velasco <cooldwind@gm... (diff)
downloadhistorical-ad3700d2b93cc0492ca3abf051e4093e043cd33e.tar.gz
historical-ad3700d2b93cc0492ca3abf051e4093e043cd33e.tar.bz2
historical-ad3700d2b93cc0492ca3abf051e4093e043cd33e.zip
Added java-pkg_ensure-gcj function, which dies if gcc wasn't built with gcj
Diffstat (limited to 'eclass/java-utils-2.eclass')
-rw-r--r--eclass/java-utils-2.eclass13
1 files changed, 12 insertions, 1 deletions
diff --git a/eclass/java-utils-2.eclass b/eclass/java-utils-2.eclass
index 4b0646fed412..36e126d53833 100644
--- a/eclass/java-utils-2.eclass
+++ b/eclass/java-utils-2.eclass
@@ -231,7 +231,7 @@ java-pkg_dojar() {
#
# @param $@ - jars to record
# ------------------------------------------------------------------------------
-# TODO fix me!
+# TODO should we be making sure the jar is present on ${D} or wherever?
java-pkg_regjar() {
debug-print-function ${FUNCNAME} $*
@@ -1165,12 +1165,23 @@ java-pkg_javac-args() {
java-pkg_get-jni-cflags() {
local flags="-I${JAVA_HOME}/include"
+ # TODO do a check that the directories are valid
# TODO figure out how to cope with other things than linux...
flags="${flags} -I${JAVA_HOME}/include/linux"
echo ${flags}
}
+java-pkg_ensure-gcj() {
+ if ! built_with_use sys-devel/gcc gcj ; then
+ ewarn
+ ewarn "You must build gcc with the gcj support to build with gcj"
+ ewarn
+ ebeep 5
+ die "No GCJ support found!"
+ fi
+}
+
# ------------------------------------------------------------------------------
# @section-end helper
# ------------------------------------------------------------------------------